Package org.bukkit.event.world

# Enum Class TimeSkipEvent.SkipReason

java.lang.Object
java.lang.Enum<TimeSkipEvent.SkipReason>
org.bukkit.event.world.TimeSkipEvent.SkipReason

All Implemented Interfaces:
  `Serializable`, `Comparable<TimeSkipEvent.SkipReason>`, `Constable`

Enclosing class:
  TimeSkipEvent

public static enum TimeSkipEvent.SkipReason extends Enum<TimeSkipEvent.SkipReason>
An enum specifying the reason the time skipped.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMAND`
When time is changed using the vanilla /time command.
`CUSTOM`
When time is changed by a plugin.
`NIGHT_SKIP`
When time is changed by all players sleeping in their beds and the night skips.

## Method Summary

Modifier and Type
Method
Description
`static TimeSkipEvent.SkipReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TimeSkipEvent.SkipReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMAND

public static final TimeSkipEvent.SkipReason COMMAND
When time is changed using the vanilla /time command.

### CUSTOM

public static final TimeSkipEvent.SkipReason CUSTOM
When time is changed by a plugin.

### NIGHT_SKIP

public static final TimeSkipEvent.SkipReason NIGHT_SKIP
When time is changed by all players sleeping in their beds and the night skips.

## Method Details

### values

public static TimeSkipEvent.SkipReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TimeSkipEvent.SkipReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null